apiVersion: apps/v1
kind: Deployment
metadata:
  name: {{ .Values.deployment.name }}
  labels:
    app: {{ .Values.deployment.name }}
spec:
  replicas: {{ .Values.replicaCount }}
  selector:
    matchLabels:
      app: {{ .Values.deployment.name }}
  template:
    metadata:
      labels:
        app: {{ .Values.deployment.name }}
    spec:
      containers:
        - name: {{ .Values.deployment.name }}
          image: {{ .Values.image.repository }}
          ports:
            - containerPort: {{ .Values.service.port }}
          env:
            - name: AUTH_PRIVATE_KEY
              valueFrom:
                secretKeyRef:
                  name: mongodb-secret
                  key: AUTH_PRIVATE_KEY
            - name: CONFORMANCE_DOMAIN
              value: https://auth-server.pda1.demo.esspass-poc.eu
            - name: EBSI_ENV
              value: pilot
            - name: ISSUER_KID
              valueFrom:
                secretKeyRef:
                  name: mongodb-secret
                  key: ISSUER_KID
            - name: VERSION
              value: {{ .Values.deployment.version }}
